Bug 1302207 - introspection shows timeout
introspection shows timeout
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-discoverd (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Dmitry Tantsur
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 02:27 EST by Kaihua Chen
Modified: 2016-04-18 03:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 03:58:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump file (72.00 KB, application/octet-stream)
2016-01-27 02:29 EST, Kaihua Chen
no flags Details

  None (edit)
Description Kaihua Chen 2016-01-27 02:27:06 EST
Description of problem:
When we trying to inspect our overcloud node (Lenovo RD640). the inspection failed with timeout. From our tcpdump, the Bootstrap is working well and get undionly.kpxe , but we don't know why the server stop requesting other files, like kernel and ramdisk. Could you have a look? Thanks.

Attach the tcpdump before the director and node.


[stack@director ~]$ openstack baremetal introspection status 8bdade83-a9bf-44e6-b6ea-4813a1cf6d9b
+----------+-----------------------+
| Field    | Value                 |
+----------+-----------------------+
| error    | Introspection timeout |
| finished | True                  |
+----------+-----------------------+

Version-Release number of selected component (if applicable):
Latest

How reproducible:
openstack  baremetal introspection bulk start

Steps to Reproduce:
1.
2.
3.

Actual results:
The PXE boot failed.

Expected results:
Boot from PXE successfully.

Additional info:
Comment 2 Kaihua Chen 2016-01-27 02:29 EST
Created attachment 1118702 [details]
tcpdump file
Comment 3 Dmitry Tantsur 2016-02-04 08:13:28 EST
Hi! I suspect iPXE firmware problem that some people have reported, but it's hard to tell precisely. Could you please replace file in /httpboot with http://boot.ipxe.org/undionly.kpxe and restart introspection to see if it solves the problem? Otherwise, could you check if this hardware supports any means to look at its virtual console during boot?
Comment 4 Kaihua Chen 2016-02-15 02:37:19 EST
Hi Dmitry,

Thanks for your checking. I found I don't have the kpxe file in my directory. 
[root@director httpboot]# ll
total 337520
-rwxr-xr-x. 1 root   root     5154912 Feb 14 21:33 agent.kernel
-rw-r--r--. 1 root   root   340459405 Feb 14 21:34 agent.ramdisk
-rw-r--r--. 1 ironic ironic       260 Feb 14 05:34 inspector.ipxe

So I just copy the kpxe file to there and do introspection again but no lucky.

The hardware is very new and we have also seen the PXE boot phase also (even failed).
Comment 5 Kaihua Chen 2016-02-15 03:54:38 EST
And I have tried to use a common virtual server trying to boot from this pxe server. It seems working. So I believe you are right this issue is may at the hardware server side. I will do more checking on it and get back to you.
Comment 6 Dmitry Tantsur 2016-02-15 11:04:51 EST
Hi!

My bad, the directory with the kpxe file is /tftpboot, not /httpboot. Could you try putting the downloaded file there?
Comment 7 Kaihua Chen 2016-02-15 20:51:30 EST
Yes, I realized that also and put the files into /tftpboot, but still cannot boot. As I said later, it seems working within a common virtual server. So I am focusing the physical server iPXE configuration. I will get back to you later.
Comment 8 Dmitry Tantsur 2016-02-16 08:48:32 EST
It might happen that the server has its own iPXE firmware, then replacing files in /tftpboot won't affect it. The vendor might provide an update in this case.
Comment 9 Kaihua Chen 2016-02-17 03:58:39 EST
Hi Dmitry,

This issue is fixed by changing the PXE boot from UEFI to Legacy mode on the hardware server side. Thanks for your help.
[stack@director ~]$ openstack baremetal introspection bulk start
Setting available nodes to manageable...
Starting introspection of node: 70e3073a-a4e2-420c-aca9-586134e03e72

Starting introspection of node: b20644e3-2b18-4cd7-8dd0-cb1ad3818de6

Waiting for introspection to finish...
Introspection for UUID 70e3073a-a4e2-420c-aca9-586134e03e72 finished successfully.
Introspection for UUID b20644e3-2b18-4cd7-8dd0-cb1ad3818de6 finished successfully.

Note You need to log in before you can comment on or make changes to this bug.